# Class default

- Defined in src/test/utils/mocks/mocksContainer/mockText.ts:3

#####
Index

### Constructors

constructor

### Properties

list
phaserText
scene
splitRegExp
textureManager
wordWrapWidth

### Methods

add
addAt
addToDisplayList
addedToScene
destroy
getAll
getAt
getBottomLeft
getBounds
getIndex
getTopLeft
off
once
remove
removeAll
removeFromDisplayList
removedFromScene
runWordWrap
setAlign
setAlpha
setAngle
setColor
setFontSize
setLineSpacing
setMask
setName
setOrigin
setPositionRelative
setScale
setShadow
setShadowColor
setShadowOffset
setStroke
setStrokeStyle
setText
setTint
setVisible
setWordWrapWidth
setX
setY
showText

## Constructors

### constructor

- new default(textureManager, x, y, content, styleOptions): default

- #### Parameters

  - textureManager: any
  - x: any
  - y: any
  - content: any
  - styleOptions: any

  #### Returns default

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:10

## Properties

### list

list: any[] = []

- Defined in src/test/utils/mocks/mocksContainer/mockText.ts:9

### `Private` phaserText

phaserText: any

- Defined in src/test/utils/mocks/mocksContainer/mockText.ts:4

### `Private` scene

scene: any

- Defined in src/test/utils/mocks/mocksContainer/mockText.ts:7

### `Private` splitRegExp

splitRegExp: any

- Defined in src/test/utils/mocks/mocksContainer/mockText.ts:6

### `Private` textureManager

textureManager: any

- Defined in src/test/utils/mocks/mocksContainer/mockText.ts:8

### `Private` wordWrapWidth

wordWrapWidth: any

- Defined in src/test/utils/mocks/mocksContainer/mockText.ts:5

## Methods

### add

- add(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:231

### addAt

- addAt(obj, index): void

- #### Parameters

  - obj: any
  - index: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:241

### addToDisplayList

- addToDisplayList(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:108

### addedToScene

- addedToScene(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:122

### destroy

- destroy(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:196

### getAll

- getAll(): any[]

- #### Returns any[]

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:262

### getAt

- getAt(index): any

- #### Parameters

  - index: any

  #### Returns any

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:258

### getBottomLeft

- getBottomLeft(): {
  x: number;
  y: number;
  }

- #### Returns {
  x: number;
  y: number;
  }

  - ##### x: number

  - ##### y: number

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:217

### getBounds

- getBounds(): {
  width: number;
  }

- #### Returns {
  width: number;
  }

  - ##### width: number

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:169

### getIndex

- getIndex(obj): number

- #### Parameters

  - obj: any

  #### Returns number

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:253

### getTopLeft

- getTopLeft(): {
  x: number;
  y: number;
  }

- #### Returns {
  x: number;
  y: number;
  }

  - ##### x: number

  - ##### y: number

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:224

### off

- off(event, callback, obj): void

- #### Parameters

  - event: any
  - callback: any
  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:101

### once

- once(event, callback, source): void

- #### Parameters

  - event: any
  - callback: any
  - source: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:97

### remove

- remove(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:246

### removeAll

- removeAll(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:236

### removeFromDisplayList

- removeFromDisplayList(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:117

### removedFromScene

- removedFromScene(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:104

### runWordWrap

- runWordWrap(text): string

- #### Parameters

  - text: any

  #### Returns string

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:21

### setAlign

- setAlign(align): void

- #### Parameters

  - align: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:209

### setAlpha

- setAlpha(alpha): void

- #### Parameters

  - alpha: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:201

### setAngle

- setAngle(angle): void

- #### Parameters

  - angle: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:144

### setColor

- setColor(color): void

- #### Parameters

  - color: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:176

### setFontSize

- setFontSize(fontSize): void

- #### Parameters

  - fontSize: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:164

### setLineSpacing

- setLineSpacing(lineSpacing): void

- #### Parameters

  - lineSpacing: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:88

### setMask

- setMask(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:213

### setName

- setName(name): void

- #### Parameters

  - name: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:205

### setOrigin

- setOrigin(x, y): void

- #### Parameters

  - x: any
  - y: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:93

### setPositionRelative

- setPositionRelative(source, x, y): void

- #### Parameters

  - source: any
  - x: any
  - y: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:149

### setScale

- setScale(scale): void

- #### Parameters

  - scale: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:79

### setShadow

- setShadow(shadowXpos, shadowYpos, shadowColor): void

- #### Parameters

  - shadowXpos: any
  - shadowYpos: any
  - shadowColor: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:83

### setShadowColor

- setShadowColor(color): void

- #### Parameters

  - color: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:181

### setShadowOffset

- setShadowOffset(offsetX, offsetY): void

- #### Parameters

  - offsetX: any
  - offsetY: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:154

### setStroke

- setStroke(color, thickness): void

- #### Parameters

  - color: any
  - thickness: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:112

### setStrokeStyle

- setStrokeStyle(thickness, color): void

- #### Parameters

  - thickness: any
  - color: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:191

### setText

- setText(text): void

- #### Parameters

  - text: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:139

### setTint

- setTint(color): void

- #### Parameters

  - color: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:186

### setVisible

- setVisible(visible): void

- #### Parameters

  - visible: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:127

### setWordWrapWidth

- setWordWrapWidth(width): void

- #### Parameters

  - width: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:159

### setX

- setX(x): void

- #### Parameters

  - x: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:135

### setY

- setY(y): void

- #### Parameters

  - y: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:131

### showText

- showText(text, delay, callback, callbackDelay, prompt, promptDelay): void

- #### Parameters

  - text: any
  - delay: any
  - callback: any
  - callbackDelay: any
  - prompt: any
  - promptDelay: any

  #### Returns void

  - Defined in src/test/utils/mocks/mocksContainer/mockText.ts:72